Debian Bug report logs - #671047
libxxf86dga: FTBFS[kfreebsd-i386]: error: cast from pointer to integer of different size [-Werror=pointer-to-int-cast]

version graph

Package: src:libxxf86dga; Maintainer for src:libxxf86dga is Debian X Strike Force <debian-x@lists.debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Tue, 1 May 2012 14:12:14 UTC

Severity: serious

Tags: sid, wheezy

Found in version libxxf86dga/2:1.1.3-1

Fixed in version libxxf86dga/2:1.1.3-2

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#671047; Package src:libxxf86dga. (Tue, 01 May 2012 14:12:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 01 May 2012 14:12:19 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: libxxf86dga: FTBFS[kfreebsd-i386]: error: cast from pointer to integer of different size [-Werror=pointer-to-int-cast]
Date: Tue, 01 May 2012 16:13:21 +0200
Package: src:libxxf86dga
Version: 2:1.1.3-1
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

make[3]: Entering directory `/build/buildd-libxxf86dga_1.1.3-1-kfreebsd-i386-4JHUhJ/libxxf86dga-1.1.3/build/src'
  CC     XF86DGA2.lo
  CC     XF86DGA.lo
../../src/XF86DGA2.c: In function 'DGAMapPhysical':
../../src/XF86DGA2.c:931:37: error: cast from pointer to integer of different size [-Werror=pointer-to-int-cast]
cc1: some warnings being treated as errors
make[3]: *** [XF86DGA2.lo] Error 1
make[3]: *** Waiting for unfinished jobs....

Full build log at
https://buildd.debian.org/status/fetch.php?pkg=libxxf86dga&arch=kfreebsd-i386&ver=2%3A1.1.3-1&stamp=1335793503

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sat, 30 Jun 2012 19:09:05 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Sat, 30 Jun 2012 19:09:05 GMT) Full text and rfc822 format available.

Message #10 received at 671047-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 671047-close@bugs.debian.org
Subject: Bug#671047: fixed in libxxf86dga 2:1.1.3-2
Date: Sat, 30 Jun 2012 19:06:11 +0000
Source: libxxf86dga
Source-Version: 2:1.1.3-2

We believe that the bug you reported is fixed in the latest version of
libxxf86dga, which is due to be installed in the Debian FTP archive:

libxxf86dga-dev_1.1.3-2_amd64.deb
  to main/libx/libxxf86dga/libxxf86dga-dev_1.1.3-2_amd64.deb
libxxf86dga1-dbg_1.1.3-2_amd64.deb
  to main/libx/libxxf86dga/libxxf86dga1-dbg_1.1.3-2_amd64.deb
libxxf86dga1_1.1.3-2_amd64.deb
  to main/libx/libxxf86dga/libxxf86dga1_1.1.3-2_amd64.deb
libxxf86dga_1.1.3-2.diff.gz
  to main/libx/libxxf86dga/libxxf86dga_1.1.3-2.diff.gz
libxxf86dga_1.1.3-2.dsc
  to main/libx/libxxf86dga/libxxf86dga_1.1.3-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 671047@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated libxxf86dga package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 30 Jun 2012 20:44:15 +0200
Source: libxxf86dga
Binary: libxxf86dga1 libxxf86dga1-dbg libxxf86dga-dev
Architecture: source amd64
Version: 2:1.1.3-2
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 libxxf86dga-dev - X11 Direct Graphics Access extension library (development headers
 libxxf86dga1 - X11 Direct Graphics Access extension library
 libxxf86dga1-dbg - X11 Direct Graphics Access extension library (debug package)
Closes: 671047
Changes: 
 libxxf86dga (2:1.1.3-2) unstable; urgency=low
 .
   * Pull build fix from upstream for BSD (closes: #671047)
Checksums-Sha1: 
 00a6a93d62dff97aabf59fe569c061259b96d82d 2118 libxxf86dga_1.1.3-2.dsc
 3414f6a62848ccba62684d3d7f9f49c915d24a56 15035 libxxf86dga_1.1.3-2.diff.gz
 0787e8710d839f7babf7a8d7ae4f813dac291176 22612 libxxf86dga1_1.1.3-2_amd64.deb
 278cea645f791cc3d2112dcb22e670798b07dc97 58978 libxxf86dga1-dbg_1.1.3-2_amd64.deb
 4d5880c8c51c174af4fedcc6b01a3cee95e97e83 27544 libxxf86dga-dev_1.1.3-2_amd64.deb
Checksums-Sha256: 
 d348d8a55ff9e22a4e9b981bfdc6273019101a88561ec7b310d80c072e967d15 2118 libxxf86dga_1.1.3-2.dsc
 80ec0c41c6805db0c45f6d0d97cac5be62c1b3e1164d4f6119c09d6fe4a67b61 15035 libxxf86dga_1.1.3-2.diff.gz
 d562e013744c4f6d32704feb448e2eb210149827fe76d4e7c8feaa4d87fa8a10 22612 libxxf86dga1_1.1.3-2_amd64.deb
 4c83deb2a334781c0e4ffa0942855a9331ae7bacfbb0f8adbc0c9ec2854f61e3 58978 libxxf86dga1-dbg_1.1.3-2_amd64.deb
 d34d4342bd2d7f9d96ccd9e1e3ee1a9020a0a4badd41ea8a45902b97d5b58fb6 27544 libxxf86dga-dev_1.1.3-2_amd64.deb
Files: 
 6205928630db7c91b4f7050b7a157d06 2118 x11 optional libxxf86dga_1.1.3-2.dsc
 98a8bd6b53e4228ef8672e9e92b868b3 15035 x11 optional libxxf86dga_1.1.3-2.diff.gz
 386a892dd8418679ed12244ed6d1a850 22612 libs optional libxxf86dga1_1.1.3-2_amd64.deb
 40f51aed72148172a8c5310dad2fe0b9 58978 debug extra libxxf86dga1-dbg_1.1.3-2_amd64.deb
 55a286c86d5932605e47f361482d2ac2 27544 libdevel optional libxxf86dga-dev_1.1.3-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJP70mNAAoJEDEBgAUJBeQMIWgQAKHC1TJxgjTjke+fzYCrbXxh
NdTt41HuJyIbXPJQ7xsXlHZGYiVzn76WzTNDbUgY2YkLoNwpkHASGqullERD5wbC
j/+fzuMUZrkV994jw7u9mQiLeNTAndV+rAWB7DrBd2yZ58XgO9jRO4545NVy9Qjz
NWgZxsL4ifZhrS0mJc/l9jbSYBsxHLYrVUhGRclmhoEW0pJKq2iIFopu6/8pZURp
GYepIg/4knhwgxHVYTjGOqb0BVxEBsKH0LVDNlZNLzwOOxQpxS4VrvvuOCGlEGzg
ghhQAD4qgKJf9LKPArzIQ5+0t9Zs3eualuOI5mn3NLasgWveGwQSu/PVZFyMIicd
q/xUaWcUE/FFuPDfUZoNfzqBq5bVcl2Lx0HJxkgEuZA2m6plgXlEnSIZvgKLPWii
LH3nThkVBRy/e1WPV0mVD6JNXHDavolG9QvsS8soR3wK81A+xHC8/UnaBQjCtdLE
6HOY4Gp9MwvTn+W2dPqxmUK7LHiL3bDws1nGA1wKV9G+u1eUYlvDU8ZhXoEw7XGj
HerdqIKNYhMup4mjaxVv213tUcPatm8iV0ndTKmeIjb/hrRxxt4AwX1ulXXXalzr
43+ezRvwhB71XQmhWILMIPmTEiue9uQmKeYoYyZ22UTSF7zS+mPWkXBVj0+gcoGd
2qPnKqvf6QPWW1I0O9V/
=zvyb
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 08 Aug 2012 07:30:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 03:51:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.